## gate.corpora
Class SynchronisationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--gate.util.GateRuntimeException
                              |
                              +--gate.corpora.SynchronisationException

All Implemented Interfaces:
  Serializable

public class SynchronisationException
extends GateRuntimeException

See Also:
  Serialized Form

Constructor Summary
`SynchronisationException()` Default construction
`SynchronisationException(Exception e)` Construction from exception
`SynchronisationException(String s)` Construction from string

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SynchronisationException

    public SynchronisationException()

  Default construction

### SynchronisationException

    public SynchronisationException(String s)

  Construction from string

### SynchronisationException

    public SynchronisationException(Exception e)

  Construction from exception